跳到内容
Esc
↑↓导航↵打开⌘J预览

Update a thread

Mark every message read or unread, or move it to inbox, archive, spam or trash (moving out of trash restores it). Labels have their own routes: POST, PUT and DELETE /inboxes/{inbox_id}/threads/{thread_id}/labels.

PATCH/inboxes/{inbox_id}/threads/{thread_id}
授权
AuthorizationBearer 令牌 · header必填

A BillionSend API key (bs_…).

路径参数
inbox_idstring必填

The inbox ID or its email address, such as support@example.com

thread_idstring<uuid>必填

The thread ID

请求体
application/json
readboolean

Marks every message read or unread

folderstring

sent is assigned, never chosen

允许值:inboxarchivespamtrash
响应
200

Thread updated

objectstring必填
允许值:inbox_thread
idstring<uuid>必填
subjectstring | null必填
folderstring必填
允许值:inboxarchivespamsenttrash
labelsobject[]必填
显示属性
object 数组
idstring<uuid>必填
namestring必填
colorstring必填
readboolean必填
quarantinedinteger必填

BillionSend extension: held messages; 0 for inbox-scoped keys

401

Missing, malformed, unknown or revoked API key

statusCodenumber必填
namestring必填
messagestring必填
404

Inbox or thread not found

statusCodenumber必填
namestring必填
messagestring必填
422

Validation error

statusCodenumber必填
namestring必填
messagestring必填
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumber必填
namestring必填
messagestring必填
试一试
服务器
授权
参数
请求体application/json
请求
curl -X PATCH 'https://api.billionsend.com/inboxes/string/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "read": true,
  "folder": "inbox"
}'
响应
{
  "object": "inbox_thread",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "subject": "string",
  "folder": "inbox",
  "labels": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "color": "string"
    }
  ],
  "read": true,
  "quarantined": 0
}

这个页面有帮助吗?